var suitehelp = {};
suitehelp.contexts={"OAuth":"GUID-B91A3A59-0110-4E1A-A25A-5EF4C7CB7D09.html","bw.twitter_bw.twitter.TwitterPublish":"GUID-290B774E-1B0C-48B3-B9A3-39282E206D81.html","bw.twitter_bw.twitter.TwitterQuery":"GUID-B877CCB1-21E0-4770-A8F4-68CE226575A7.html","bw.twitter_bw.twitter.TwitterStreamListener":"GUID-4D78A40F-5B27-4865-9A98-1DD500F52E6E.html","bw.twitter_bw.twitter.TwitterSearch":"GUID-FFE243B6-EA7C-4732-B5F2-A9FE0D4608FF.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();